Skip to content

تقليل حجم الملف

السلام عليكم

هذه احدى طرق تقليل حجم الملف و هي تحميل هذا الليسب و سيعمل تلقائيا مع كل ملف

رابط الملف :

http://bit.ly/1TIN7mM

 

كيف نقوم بتحميل ليسب ليعمل مع كل ملف اوتوكاد

http://bit.ly/1U1kUHB

Advertisements

كيف نقوم بتجميل ليسب ليعمل مع كل ملف اوتوكاد

كثرا ما نجد ليسبات ولكن لا نعرف كيف نقوم بتحميله

في هذا الملف نجد الطريقة

رابط الملف:

http://bit.ly/209M2IX

 

دمج نصان

هذا الليسب يقوم بنسخ نص ثو اضافته قبل نص اخر مع اضافة فاصل يتم تحديده من قبل المستخدم

;|———— String Swap ———————
q_|_|| _\|| q_|| _\|

Appending two strings (text/attribute)
with seperator

————————————————
Author: Hasan M. Asous, 2014
ALL RIGHT RESERVED TO ALL

Contact: HasanCAD @ TheSwamp.org,
asos2000 @ CADTutor.net
HasanCAD@gmail.com
————————————————
Version: 1 2014 11 09
________________________________________________
|;
; q_|_|| _\|| q_|| _\| ;
; Mainroutine Start ;

(defun c:StringAppinDing () (c:SAD))
(defun c:SAD (/ att1 att1s att2 att2s sprtr)
(vl-load-com)

(setq sprtr (getstring “\nWhat is Seperator between the tow string”))
(while
(setq att1 (_value “\nSelect Origin attribute/Text : “))
(SETQ att1S (VLA-GET-TEXTSTRING att1))

(setq att2 (_value “\nSelect Target attribute/Text : “))
(SETQ att2S (VLA-GET-TEXTSTRING att2))
(vla-put-TextString att2 (strcat att1S sprtr att2S))
)
)

; q_|_|| _\|| q_|| _\| ;
; Subroutine Start ;

(defun _value (str / attr)
(while
(not
(if (and (setq attr (car (nentsel str)))
(member (vla-get-objectname (setq attr (vlax-ename->vla-object attr)))
‘(“AcDbattribute” “AcDbText” “*DIM*”)))
attr (progn (princ str) nil)))) attr)

; q_|_|| _\|| q_|| _\| ;
; Subroutine End ;

ليسب لنسخ نص/أتربويت الى نص/أتربيوت اخر

هذا الليسب يقوم بنسخ النص و لصقه مكان نص اخر

;|———— String Swap ———————
q_|_|| _\|| q_|| _\|

Copy sontents of text/atribute into
text/atribute

————————————————
Author: Hasan M. Asous, 2014
ALL RIGHT RESERVED TO ALL

Contact: HasanCAD @ TheSwamp.org,
asos2000 @ CADTutor.net
HasanCAD@gmail.com
————————————————
Version: 1 2014 10 22
________________________________________________
|;

; q_|_|| _\|| q_|| _\| ;
; Mainroutine Start ;

(defun c:StringSWap () (c:SSW))
(defun c:SSW (/ ATT1 ATT1S ATT2 DOC)
(vl-load-com)

(while
(setq ATT1 (_value “\nSelect Origin attribute/Text : “))
(SETQ ATT1S (VLA-GET-TEXTSTRING ATT1))

(setq ATT2 (_value “\nSelect Target attribute/Text : “))
(vla-put-TextString ATT2 ATT1S)
)
)

; q_|_|| _\|| q_|| _\| ;
; Mainroutine End ;

; q_|_|| _\|| q_|| _\| ;
; Subroutine Start ;

(defun _value (str / ATTr)
(while
(not
(if (and (setq ATTr (car (nentsel str)))
(member (vla-get-objectname (setq ATTr (vlax-ename->vla-object ATTr)) )
‘(“AcDbAttribute” “AcDbText” “*DIM*”)) )
ATTr (progn (princ str) nil) ) ) ) ATTr )

; q_|_|| _\|| q_|| _\| ;
; Subroutine End ;

فرصة عمل

Vacancies in Diyar Cairo and KSA

متغير النظام System Variable المسمى OFFSETGAPTYPE

متغيرات النظام هي كالمفاتيح يتم التحكم في الاتوكاد من خلالها

و من احد هذه المتغيرات OFFSETGAPTYPE وهو يؤثر فيامر الاوفست Offset

و تاثير هذا المتغير كما يلي

ogt-02

 

و اليكم تطبيقا لهذا المتغير

ogt-01

 

صورة

إختصارات لوحة المفاتيح لبرنامج الاوتوكاد

AutoCAD_Shortcuts_Keyboard